### YamlMime:ManagedReference
items:
- uid: Voile.UI.SizeFlags
  commentId: T:Voile.UI.SizeFlags
  id: SizeFlags
  parent: Voile.UI
  children:
  - Voile.UI.SizeFlags.Fill
  - Voile.UI.SizeFlags.ShrinkBegin
  - Voile.UI.SizeFlags.ShrinkCenter
  - Voile.UI.SizeFlags.ShrinkEnd
  langs:
  - csharp
  - vb
  name: SizeFlags
  nameWithType: SizeFlags
  fullName: Voile.UI.SizeFlags
  type: Enum
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: SizeFlags
    path: Source/UI/UIElement.cs
    startLine: 47
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: >-
      [Flags]

      public enum SizeFlags
    content.vb: >-
      <Flags>

      Public Enum SizeFlags
  attributes:
  - type: System.FlagsAttribute
    ctor: System.FlagsAttribute.#ctor
    arguments: []
- uid: Voile.UI.SizeFlags.ShrinkBegin
  commentId: F:Voile.UI.SizeFlags.ShrinkBegin
  id: ShrinkBegin
  parent: Voile.UI.SizeFlags
  langs:
  - csharp
  - vb
  name: ShrinkBegin
  nameWithType: SizeFlags.ShrinkBegin
  fullName: Voile.UI.SizeFlags.ShrinkBegin
  type: Field
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ShrinkBegin
    path: Source/UI/UIElement.cs
    startLine: 50
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: ShrinkBegin = 0
    return:
      type: Voile.UI.SizeFlags
- uid: Voile.UI.SizeFlags.ShrinkCenter
  commentId: F:Voile.UI.SizeFlags.ShrinkCenter
  id: ShrinkCenter
  parent: Voile.UI.SizeFlags
  langs:
  - csharp
  - vb
  name: ShrinkCenter
  nameWithType: SizeFlags.ShrinkCenter
  fullName: Voile.UI.SizeFlags.ShrinkCenter
  type: Field
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ShrinkCenter
    path: Source/UI/UIElement.cs
    startLine: 51
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: ShrinkCenter = 1
    return:
      type: Voile.UI.SizeFlags
- uid: Voile.UI.SizeFlags.ShrinkEnd
  commentId: F:Voile.UI.SizeFlags.ShrinkEnd
  id: ShrinkEnd
  parent: Voile.UI.SizeFlags
  langs:
  - csharp
  - vb
  name: ShrinkEnd
  nameWithType: SizeFlags.ShrinkEnd
  fullName: Voile.UI.SizeFlags.ShrinkEnd
  type: Field
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ShrinkEnd
    path: Source/UI/UIElement.cs
    startLine: 52
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: ShrinkEnd = 2
    return:
      type: Voile.UI.SizeFlags
- uid: Voile.UI.SizeFlags.Fill
  commentId: F:Voile.UI.SizeFlags.Fill
  id: Fill
  parent: Voile.UI.SizeFlags
  langs:
  - csharp
  - vb
  name: Fill
  nameWithType: SizeFlags.Fill
  fullName: Voile.UI.SizeFlags.Fill
  type: Field
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Fill
    path: Source/UI/UIElement.cs
    startLine: 53
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: Fill = ShrinkCenter | ShrinkEnd
    return:
      type: Voile.UI.SizeFlags
    content.vb: Fill = ShrinkCenter Or ShrinkEnd
references:
- uid: Voile.UI
  commentId: N:Voile.UI
  href: Voile.html
  name: Voile.UI
  nameWithType: Voile.UI
  fullName: Voile.UI
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.UI
    name: UI
    href: Voile.UI.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.UI
    name: UI
    href: Voile.UI.html
- uid: Voile.UI.SizeFlags
  commentId: T:Voile.UI.SizeFlags
  parent: Voile.UI
  href: Voile.UI.SizeFlags.html
  name: SizeFlags
  nameWithType: SizeFlags
  fullName: Voile.UI.SizeFlags
